### Name: summary.scanone
### Title: Summarize the results of one or several one-QTL genome scans
### Aliases: summary.scanone
### Keywords: print

### ** Examples

data(fake.f2)
fake.f2 <- calc.genoprob(fake.f2)
# scanones on observed data
scan1 <- scanone(fake.f2, pheno.col=1)
# permutation tests
## Not run: 
##D out1 <- scanone(fake.f2, pheno.col=1, n.perm=100)
## End(Not run)## Don't show: 
out1 <- scanone(fake.f2, pheno.col=1, n.perm=3)
## End Don't show
###### summary one result #######
# one sig level
summary(scan1, threshold=quantile(out1, 0.95))
# multiple sig level
summary(scan1, threshold=quantile(out1, c(0.63,0.95,0.99)))

# scan the other phenotype
scan2 <- scanone(fake.f2, pheno.col=2)
## Not run: 
##D out2 <- scanone(fake.f2, pheno.col=2, n.perm=100)
## End(Not run)## Don't show: 
out2 <- scanone(fake.f2, pheno.col=2, n.perm=3)
## End Don't show

##### summary multiple results
# one sig level
summary(scan1,scan2, threshold=2)
# multiple sig level, same threshold
summary(scan1,
        scan2,threshold=matrix(quantile(out1,c(0.37,0.95,0.99)),ncol=1))   
# one sig level, different threshold
summary(scan1, scan2,threshold=c(3,0.8))
# multiple sig level, different threshold
threshold <- matrix(c(quantile(out1,probs=c(0.37,0.95,0.99)),0.5,0.8,1.2), ncol=2) 
summary(scan1, scan2, threshold=threshold)



